import microwaveRequest from "@/lib/request-microwave";

// 获取样本数据
export function getStarSamples(data){
    return microwaveRequest({
        url:'/readExcel/parseExcel',
        method:'post',
        data
    })
}

// 获取lc样本数据
export function getLcSamples(data){
    return microwaveRequest({
        url:'/mockSample/getLcSample',
        method:'post',
        data
    })
}

// 获取otg样本数据
export function getOtgSamples(data){
    return microwaveRequest({
        url:'/mockSample/getOtgSample',
        method:'post',
        data
    })
}

// 获取sol样本数据
export function getSolSamples(data){
    return microwaveRequest({
        url:'/mockSample/getSolSample',
        method:'post',
        data
    })
}

// 选中的样本数据入库

export function insertSampleList(data){
    return microwaveRequest({
        url:'/metaDataOrder/insertSampleList',
        method:'post',
        headers:{'Content-Type':'multipart/form-data'},
        data
    })
}

// 地表覆盖类型关联入库
export function addCoverType(data){
    return microwaveRequest({
        url:'/landCoverType/addCoverType',
        method:'post',
        headers:{'Content-Type':'multipart/form-data'},
        data
    })
}

// 地表覆盖类型关联批量入库
export function addCoverTypeBatch(data){
    return microwaveRequest({
        url:'/landCoverType/addCoverTypeBatch',
        method:'post',
        data
    })
}

// 地表覆盖类型关联入库
export function initOrderStage(data){
    return microwaveRequest({
        url:'orderStatus/initOrderStage',
        method:'post',
        headers:{'Content-Type':'multipart/form-data'},
        data
    })
}
